%define mainver %(echo %{version} | sed -e 's/\\([0-9]*\\.[0-9]*\\)\\.[0-9]*/\\1/')

# There is no debug here, but can't build as noarch,
# since some 'twisted' modules are arch-dependent and all these modules
# should be located in the same place
%define debug_package %{nil}

Summary:        An DNS protocol implementation with client and server

Name:           python-twisted-names
Version:	15.2.1
Release:	1
Source0:        http://twistedmatrix.com/Releases/Names/15.2/TwistedNames-%{version}.tar.bz2
License:        MIT
Group:          Development/Python
URL:            http://twistedmatrix.com/trac/wiki/TwistedNames
BuildRequires:	python-devel python-twisted-core
Requires:       python-twisted-core

%description
Twisted Names is both a domain name server as well as a client resolver
library.

Twisted Names comes with an "out of the box" nameserver which can read most
BIND-syntax zone files as well as a simple Python-based configuration format.
Twisted Names can act as an authoritative server, perform zone transfers from
a master to act as a secondary, act as a caching nameserver, or any combination
of these.

Twisted Names' client resolver library provides functions to query for all
commonly used record types as well as a replacement for the blocking
gethostbyname() function provided by the Python stdlib socket module.

%prep
%setup -q -n TwistedNames-%{version}

%build
python setup.py build

%install
python setup.py install --root=%{buildroot} --install-purelib=%{py_platsitedir}

%files
%defattr(0644,root,root,0755)
%doc LICENSE README *
%dir %{py_platsitedir}/twisted/names
%{py_platsitedir}/twisted/names/*
%{py_platsitedir}/twisted/plugins/*
%{py_platsitedir}/*.egg-info

%changelog

* Tue Jun 09 2015 Denis Silakov <denis.silakov@rosalab.ru> 15.2.1-1
- (7d183b1) Updated to 15.2.1 (by updates_builder)


